Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Bar_AreaInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.AreaInfo
              jet.report.xls.Bar_AreaInfo

    public class Bar_AreaInfo

extends AreaInfo

contains the information of bar_line chart type in the file. The class extends ColumnInfo

Field Summary
`static short` | `AREASTACKED`
`static short` | `F100STACKED`
`static short` | `NORMAL`
`static short` | `STACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Bar_AreaInfo(short dataLabel, short barStyle)` Constructs class BarInfo and sets its fields appropriately.

Method Summary
`short` | `getBarStyle()` Get the style of the line
`int` | `getChartType()` Get the type of the chart
`ChartLabelInfo` | `getX1AxisName()` Get the minor x axis name of bar_line chart
`ChartLabelInfo` | `getY1AxisName()` Get the minor y axis name of bar_line chart
`void` | `setBarStyle(short barStyle)` Set the style of the line
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Set the minor x axis name of bar_line chart
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Set the minor y axis name of bar_line chart

Methods inherited from class jet.report.xls.AreaInfo
`getStyle, hasShadow, setHasShadow, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

See Also:
  Constant Field Values

### STACKED

    public static final short STACKED

See Also:
  Constant Field Values

### F100STACKED

    public static final short F100STACKED

See Also:
  Constant Field Values

### AREASTACKED

    public static final short AREASTACKED

See Also:
  Constant Field Values

Constructor Detail

### Bar_AreaInfo

    public Bar_AreaInfo(short dataLabel,
                        short barStyle)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `barStyle` - Style of bar, NORMAL, STACKED or F100STACKED

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Overrides:
    `getChartType` in class `AreaInfo`
  Returns:
    type of the chart

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Get the minor x axis name of bar_line chart

  Returns:
    the minor x axis name of bar_line chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Set the minor x axis name of bar_line chart

  Parameters:
    `x1AxisName` - the minor x axis name of bar_line chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Get the minor y axis name of bar_line chart

  Returns:
    the minor y axis name of bar_line chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Set the minor y axis name of bar_line chart

  Parameters:
    `y1AxisName` - the minor y axis name of bar_line chart

### getBarStyle

    public short getBarStyle()

  Get the style of the line

  Returns:
    style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### setBarStyle

    public void setBarStyle(short barStyle)

  Set the style of the line

  Parameters:
    `lineStyle` - Style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD